
I was on a road trip to see my oldest daughter. After driving over 2 hours and almost at the end of the trip, I became lifeless. I was driving, and then I was above my body, aware of my car swerving off and back on the interstate highway. I was where the top of the car was, but there was no ceiling in my way. I laughed and was a bit embarrassed because I was not driving right. 'What am I doing off the road'? I was saying. I also heard tires squealing to the right of me. The time length is weird here. Not sure if it happened slower or faster than I was aware. I was aware of the car heading towards the concrete median.

Then I felt airborne, and said, 'well, I've wrecked my life'. I knew or saw that my body was going either to be damaged, dead or very messed up. I felt lifted upward. I did not look at my body during this event. I was aware of what was happening.

When I became conscious, it was as if waking up from a sleep. People were already outside of the car, and the rescue team had already been called. I do not know how long I was not awake. I was in the Trauma Unit, then in the hospital. I was given scans and tests. No one could tell me what happened. The instant I woke up I KNEW that I should be dead; even though I had no clue what my injuries were. I KNEW that God had kept me alive.
